> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transaction Links

> The bills/invoices already reconciled against a transaction.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/bank-transactions/{transaction_id}/links
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-transactions/{transaction_id}/links:
    get:
      tags:
        - Bank Transactions
      summary: List Transaction Links
      description: The bills/invoices already reconciled against a transaction.
      operationId: >-
        list_transaction_links_api_v1_bank_transactions__transaction_id__links_get
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Transaction Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MatchLinkRecord'
                title: >-
                  Response List Transaction Links Api V1 Bank Transactions 
                  Transaction Id  Links Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MatchLinkRecord:
      properties:
        id:
          type: string
          title: Id
        bankTransactionId:
          type: string
          title: Banktransactionid
        side:
          type: string
          title: Side
        targetId:
          type: string
          title: Targetid
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        partyName:
          anyOf:
            - type: string
            - type: 'null'
          title: Partyname
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        approvedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Approvedbyid
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - bankTransactionId
        - side
        - targetId
      title: MatchLinkRecord
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````